#ifndef GUI_SYSTEM_IMAGE_H
#define GUI_SYSTEM_IMAGE_H


#include "../../Macros.h"
#include "../../Utils/header/MyString.h"

#include "./GUIStructures.h"
#include "./GUIElement.h"

namespace GUISystem 
{

	class GUIImage : public GUIElement 
	{
		public:
			GUIImage(const MyStringAnsi & name);
			~GUIImage();

			virtual GUIImage * GetImage();

			virtual void SetCanBaBaked(bool val);

			const MyStringAnsi & GetActiveTextureName() const;

			void SetTextureName(const MyStringAnsi & name);


		protected:
			MyStringAnsi textureName;

		private:

	};

}


#endif